zangband (1:2.7.5pre1-12) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.5.
  * Drop deprecated menu file and xpm icon.

 -- Markus Koschany <apo@debian.org>  Mon, 30 Jul 2018 09:20:17 +0200

zangband (1:2.7.5pre1-11) unstable; urgency=medium

  * Change override for dh_fixperms to arch-only. This fixes a FTBFS when
    building source-only packages.

 -- Markus Koschany <apo@debian.org>  Wed, 11 Nov 2015 00:41:46 +0100

zangband (1:2.7.5pre1-10) unstable; urgency=medium

  * Remove Drew Parsons as maintainer as discussed via private e-mail.
    Thanks for all the work!
  * Fix Lintian warning space-in-std-shortname-in-dep5-copyright.
  * Declare compliance with Debian Policy 3.9.6.
  * Update my e-mail address.
  * No longer export DH_OPTIONS.
  * Replace zangband icons with a new public-domain icon.
  * Update debian/clean and ensure that zangband can be built twice in a row.
  * Add keywords to desktop file.

 -- Markus Koschany <apo@debian.org>  Tue, 10 Nov 2015 17:07:50 +0100

zangband (1:2.7.5pre1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace obsolete build dependency on tk8.4-dev by tk-dev
    (Closes: #737283).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 01 Feb 2014 14:54:31 +0400

zangband (1:2.7.5pre1-9) unstable; urgency=low

  [ Markus Koschany ]
  * Switch to packaging format 3.0 (quilt). (Closes: #693627)
  * Drop postinst script. Upgrading from Debian releases before
    Squeeze is no longer supported.
  * Add 300_fix_explosive_rune.patch which fixes a typo in
    /lib/edit/t_info.txt. This will prevent the script from failing under
    certain circumstances if you cast the explosive rune.
    Thanks Alexander Waldmann for the report. (Closes: #540627)
  * Remove zangband.dirs file, we don't need it.
  * Remove README.source. The version of zangband shipped with Debian is
    pristine. Please use uscan and uupdate to fetch the sources.
  * Update README.Debian and remove the section about known bugs which is
    outdated.
  * debian/rules:
    - Simplify the rules by using dh sequencer.
    - Build with hardening=+all.
    - Build with -Wl, --as-needed to avoid unneccessary dependencies.
    - Build with parallel and autoreconf which ensures the build system is
    properly recreated on every rebuild.
  * debian/control:
    - Add dh-autoreconf to Build-Depends and remove quilt and automake which
    are not needed anymore.
    - Add a homepage field.
    - Remove incorrect ${shlibs:Depends} variable from package zangband-data.
  * Add watch file. Thanks to Bart Martens.
  * Add debian/manpages instead of installing the manpage via debian/rules.
  * Fix spelling errors in manpage.
  * Remove empty directories in /usr/share/games/zangband/lib and
    /var/games/zangband/lib.
  * Change non-standard directory permissions in /var/games/zangband/bone/ and
    /var/games/zangband/save from 2770 to 2775 on new installations.
  * Add dep3 headers to all patches.
  * Add desktop file and new icons.
  * Rename z_update.txt to changelog and readme to README.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Jan 2013 19:28:30 +0100

zangband (1:2.7.5pre1-8) unstable; urgency=low

  * Really fix the copyright file. Use the GNU All-Permissive license instead
    of GPL-3+ for the debian directory. This avoids making the package
    non-distributable while the files can remain free. The only occurrence
    of the Angband license is in src/angband.h. The new revision makes it
    clear.

 -- Markus Koschany <apo@gambaru.de>  Wed, 09 Jan 2013 17:10:55 +0100


zangband (1:2.7.5pre1-7) unstable; urgency=low

  * Add myself to Uploaders with the consent of Drew Parsons.
  * Update debian/copyright to copyright format 1.0. Add missing Lua license
    and Microsoft Permissive License and credit the copyright holders.
    (Closes: #696919)
  * Mark the maintainer comment in debian/copyright plainly as such. Briefly
    explain why Zangband is non-free without rewording the license.
    (Closes: #696916)

 -- Markus Koschany <apo@gambaru.de>  Sun, 30 Dec 2012 16:05:02 +0100

zangband (1:2.7.5pre1-6) unstable; urgency=high

  * wheezy is frozen: revert -5 changes to push through only
    Markus' patch for bug#688259.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Nov 2012 11:17:29 +1100

zangband (1:2.7.5pre1-5) unstable; urgency=low

  * Fix wrong $static_datadir path in zangband.postinst file to avoid
    deletion of *.raw files in /var/games/zangband/data.
    Thanks, Markus Koschany. Closes: #688259.
  * Fixed Lintian warnings:
    - debhelper-but-no-misc-depends
    - patch-system-but-no-source-readme
    - debian-rules-missing-recommended-target
    - dh-clean-k-is-deprecated
  * override lintian warning description-synopsis-starts-with-article
  * debhelper compat 9
  * Standards-Version: 3.9.4

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2012 08:29:55 +1100

zangband (1:2.7.5pre1-4) unstable; urgency=low

  * libgtk1 is no longer welcome in Debian.  zangband's gtk shell was
    never updated to libgtk2, so ship without it (it didn't really
    work anyway, cf. bug #284414).  Remove Build-Depends: libgtk1.2-dev.
    Note that I will *not* explicitly set "configure --with-gtk=no",
    for the sake of anyone who wants to build zangband with gtk1 for
    themselves (by installing the old libgtk1.2-dev package).
    Closes: #515985.
  * Patch 200_spearOfHagen.diff for Spear of Hagen:
    player.lev not player.level in lib/edit/a_info.txt
    Thanks Guillaume Giroux. Closes: #516064.
  * Random number generator needs help to recognise 64bit systems.
    Patch 120_rng_64bit.diff thanks to spikethehobbitmage.
    Closes: #457859, #496863.
  * Standards-Version: 3.8.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Feb 2009 17:48:57 +1100

zangband (1:2.7.5pre1-3) unstable; urgency=low

  * The upstream makefile has a series of dependencies requiring
    automake (aclocal, autoconf) to be present.  configure must be
    newer than configure.in, of course, but configure.in must be newer
    than .version in order to ensure the automated versioning (from
    src.defines.h) is correctly used.  The problem is that the
    upstream tarball ships configure.in but not .version.
    configure.in is updated locally when autoreconf is performed, but
    the refreshed configure.in is the same in content as the one in
    the original tarball, only the timestamp differs.  It is therefore
    ignored by dpkg-source when generating zangband_2.7.5pre1-3.diff.gz,
    since diff pays no attention to timestamps. So, when unpacking the
    original tarball and Debian diff ready for building, configure.in
    is extracted from the original tarball with the original timestamp
    while .version is extracted from the diff with a date matching the
    unpacking time.  Hence .version is newer than configure.in,
    causing configure.in to be regenerated at build time, requiring
    aclocal, autoheader and autoconf.
    This is the long explanation why automake and autoconf have been
    added as Build-Dependencies. It's just simpler than unravelling
    upstream's automake or tarballing issues.  Closes: #449165.

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2007 22:41:10 +1100

zangband (1:2.7.5pre1-2) unstable; urgency=low

  * Use Zangband not ZAngband as the title in the Debian menu entry.
    I think the double capital looks lame, and the in-game docs spell
    it either way.
  * Since zangband is hippy-free (free for all uses except commercial
    profiting), it is authorised for non-free autobuilding. Added a
    comment to this end in debian/copyright and the autobuild tag to
    debian/control. Closes: #412859.
  * Split architecture independent data files into zangband-data to save
    duplicating disk storage across different arches.  Closes: #233465.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Nov 2007 23:06:54 +1100

zangband (1:2.7.5pre1-1) unstable; urgency=low

  * New maintainer (adopting this poor neglected program). Hey, I've
    got the oldest unclosed bug report, so that gives me seniority.
    Closes: #423190.
  * New upstream version.  Closes: #412860.
  * Update with autoreconf, copy fresh config.sub,config.guess from
    /usr/share/automake-1.9.
  * Thank you Steinar H. Gunderson for the NMUs.
    Closes: #297279, #346946.
  * Patches now managed by quilt.
  * Standards version 3.7.2.
  * Help command (man page) is ? not \?.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Oct 2007 23:38:36 +1000

zangband (1:2.7.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346946)
  * Remove usages of non-constant initializers; fixes FTBFS on gcc-4.0, patch
    from Andreas Jochens. (Closes: #297279)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 18:36:50 +0100

zangband (1:2.7.3-3) unstable; urgency=low

  * New Maintainer (closes: #237579)
  * Updated to policy 3.6.1.0

 -- Vince Mulhollon <vlm@debian.org>  Fri, 25 Jun 2004 19:49:30 -0500

zangband (1:2.7.3-2) unstable; urgency=low

  * Bootstrap the code locally, rather than at build time.
    (closes: #196219)
  * Start the console version by default to match old behaviour.
    (closes: #194484)
  * Updated to policy 3.5.10

 -- Pascal Hakim <pasc@debian.org>  Tue, 17 Jun 2003 02:40:16 +1000

zangband (1:2.7.3-1) unstable; urgency=low

  * New upstream release
  * Fixed permissions so save game works (closes: #187096)
  * Fixed permissions, to enable notes taking (closes: #141684)
  * Fixed paths to images (closes: #187097)
  * Fixed missing quote in menu (closes: #188041)

 -- Pascal Hakim <pasc@debian.org>  Sun, 18 May 2003 18:29:10 +1000

zangband (1:2.7.2-1) unstable; urgency=low

  * New upstream release
  * Fixed symlink (closes: #183999)
  * New Maintainer (With approval of jughead@debian.org)

 -- Pascal Hakim <pasc@debian.org>  Fri, 28 Mar 2003 12:23:58 +1100

zangband (1:2.7.1-0.3) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/menu:
    - added missing quote. Closes: #172308.
    - fixed path for binary.

 -- Jerome Marant <jerome@debian.org>  Fri,  7 Mar 2003 21:59:28 +0100

zangband (1:2.7.1-0.2) unstable; urgency=low

  * NMU
  * Fix build-deps so that the display modules get built. (closes: #169379)

 -- Michael Fedrowitz <michaelf@debian.org>  Sat, 23 Nov 2002 23:50:45 +0100

zangband (1:2.7.1-0.1) unstable; urgency=low

  * NMU
  * New upstream version.
  * More robust and cautious upgrade procedure which prevents old .raw
    files from being used with new versions (closes: #54399)
    - I can't test this.  If you still experience crashes when entering
      shops, please file a new bug.
  * Create placeholder .raw files at package installation time,
    with safe permissions (closes: #54424)
  * Include X driver and tiles (closes: #78887)
    - I'm building just one binary.  If you can't stand having xlibs
      installed just for this package, let me know.
  * Upstream corrected help for "spin the wheel" gambling (closes: #137814)
  * Added "Roguelike,Dungeon" menu hints (closes: #141849)
  * This version will start (closes: #159039)

 -- Zack Weinberg <zack@codesourcery.com>  Tue,  3 Sep 2002 11:51:58 -0700

zangband (1:2.7.0-0.1) unstable; urgency=low

  * NMU
  * New upstream version.  closes: bug#127875.

 -- Brian Nelson <bnelson@bloodclot.net>  Sun, 10 Feb 2002 14:46:48 -0500

zangband (1:2.6.1-0.2) unstable; urgency=medium

  * NMU
  * Move detritus from /var/lib/games to /var/games.
  closes: bug#115862.

 -- Brian Nelson <knecht@bway.net>  Tue, 16 Oct 2001 19:05:10 -0400

zangband (1:2.6.1-0.1) unstable; urgency=low

  * NMU
  * Latest stable release.  closes: bug#108069.
  * Uses /var/games instead of /var/lib/games.  closes: bug#92502.
  * Changed reference to /var/lig/games/angband [sic] to
  /var/games/zangband in zangband(6).

 -- Clint Adams <schizo@debian.org>  Tue, 14 Aug 2001 15:59:34 -0400

zangband (1:2.2.8-3) unstable; urgency=low

  * Close #75147 zangband: can't be purged if apex/score.raw doesn't exist

 -- Eric Leblanc <jughead@debian.org>  Fri, 20 Oct 2000 17:37:41 -0400

zangband (1:2.2.8-2) unstable; urgency=low

  * Made the postrm remove stale *.raw in /var/lib/games/data on upgrade
  * Added some code to remove cruft leftover on purge

 -- Eric Leblanc <jughead@debian.org>  Thu,  9 Mar 2000 02:45:22 -0500

zangband (1:2.2.8-1) unstable; urgency=low

  * New upstream release

 -- Eric Leblanc <jughead@debian.org>  Wed,  8 Mar 2000 00:23:07 -0500

zangband (1:2.2.7-2) frozen unstable; urgency=low

  * Fixed permission problem in /etc/zangband (Closes:#57739)

 -- Eric Leblanc <jughead@debian.org>  Sat, 19 Feb 2000 17:52:10 -0500

zangband (1:2.2.7-1) unstable; urgency=low

  * New upstream version

 -- Eric Leblanc <jughead@debian.org>  Wed, 24 Nov 1999 23:09:12 -0500

zangband (1:2.2.0-3) unstable; urgency=low

  * Test release

 -- Eric Leblanc <jughead@debian.org>  Wed,  3 Nov 1999 18:28:43 -0500

zangband (1:2.2.0-2) unstable; urgency=low

  * Recompiled with ncurses4

 -- Eric Leblanc <jughead@debian.org>  Sun, 13 Dec 1998 09:34:07 -0500

zangband (1:2.2.0-1) unstable; urgency=low

  * Close Bug#28583: zangband: 2.2.0 is out!
  * Removing ZangFAQ.html as it is non-maintained and outdated
  * New upstream version

 -- Eric Leblanc <jughead@debian.org>  Thu, 29 Oct 1998 07:24:28 +0200

zangband (2.10e-2) unstable; urgency=low

  * defined DELAY_LOAD_R_TEXT for fuller monster description

 -- Eric Leblanc <jughead@debian.org>  Fri, 26 Sep 1998 04:32:02 -0400

zangband (2.10e-1) unstable; urgency=low

  * Fixed: Score file was replaced when upgrading debian version
  * Eliminated some DOSism in the code (Included in orig.tar)
  * New upstream release

 -- Eric Leblanc <jughead@debian.org>  Fri, 26 Jun 1998 04:37:06 -0400

zangband (2.10-6) unstable; urgency=low

  * Fixed bug #23914: zangband: Missing files, bad symlinks

 -- Eric Leblanc <jughead@debian.org>  Fri, 26 Jun 1998 00:25:41 -0400

zangband (2.10-5) unstable; urgency=low

  * Added FAQ into /usr/doc/zangband

 -- Eric Leblanc <jughead@debian.org>  Wed, 24 Jun 1998 22:47:06 -0400

zangband (2.10-4) unstable; urgency=low

  * Fixed typos on postinst

 -- Eric Leblanc <jughead@debian.org>  Tue,  2 Jun 1998 19:50:27 -0400

zangband (2.10-3) unstable; urgency=low

  * Added menu

 -- Eric Leblanc <jughead@debian.org>  Tue,  2 Jun 1998 19:32:16 -0400

zangband (2.10-2) unstable; urgency=low

  * Added copyright

 -- Eric Leblanc <jughead@debian.org>  Sun, 31 May 1998 21:30:31 -0400

zangband (2.10-1) unstable; urgency=low

  * Initial Release.

 -- Eric Leblanc <jughead@debian.org>  Thu, 28 May 1998 23:14:15 -0400
